:root {
    --colorNavHover: #81b0d2;
}

/* Header Styles */
.site-header {
    padding: 10.5px 0;
}

.site-nav__dropdown .page-width {
    max-width: 100%;
}

@media (max-width: 1049px) {
    .site-header {
        padding: 10.5px 10px 10.5px 20px;
    }

    .site-nav__link--icon.js-drawer-open-nav {
        margin-right: -10px;
    }
}

@media screen and (min-width: 1580px) {
    .site-nav__dropdown .page-width {
        max-width: 90%;
    }

}

.site-header .header-item--left,
.site-header .header-item--icons {
    padding: 0 10px;
}

.megamenu__wrapper {
    column-gap: 40px;
    row-gap: 30px;
    width: 100%;
}

@media screen and (min-width: 1570px) {
    .megamenu__wrapper {
        column-gap: 90px;
        row-gap: 30px;
    }
}

.site-header .site-nav__link {
    font-family: "Benton Sans Comp Bd", sans-serif;
    font-size: 20px;
    font-style: normal;
    line-height: 22px;
    letter-spacing: 0.36px;
    text-transform: uppercase;
    display: flex;
    align-items: center;
    justify-content: center;
}

.site-header .site-nav--has-dropdown > details[open] > summary:before {
    display: none;
}

.site-header .site-nav__dropdown {
    background-color: var(--colorDropdownMenu);
    color: var(--colorDropdownMenuText);
}

.site-header .site-nav__dropdown a:not(.megamenu__promo-link) {
    background-color: inherit;
}

.site-header .site-nav__dropdown-link {
    font-family: "Benton Sans Reg", sans-serif;
    display: block;
    color: var(--colorDropdownMenuText);
    white-space: nowrap;
    padding: 12px 15px;
    font-size: 20px;
    line-height: 1;
    letter-spacing: 0;
}

.site-header .site-nav__dropdown-link:not(.menu-styling-hover) .site-nav__dropdown-text:after {
    position: absolute;
    content: "";
    background: currentColor;
    bottom: 0;
    height: 2px;
    width: 100%;
    opacity: 0;
    left: 0;
    transition: .3s ease-in-out;
}

.underline-style {
    position: relative;
    display: inline-block;
}

.site-nav--has-dropdown > details[open] > summary {
    color: #00358E !important;
}

.site-nav__link--has-dropdown {
    text-decoration: none;
    position: relative;
}

.underline-style:after {
    position: absolute;
    content: "";
    background: currentColor;
    bottom: -2px;
    right: 0;
    height: 2px;
    width: 100%;
    opacity: 0;
    transition: opacity .3s ease-in-out;
}

.site-nav__item.site-nav__expanded-item .site-nav__link:hover .underline-style:after,
.site-nav__item.site-nav__expanded-item .site-nav__details[aria-expanded="true"] .site-nav__link .underline-style:after {
    opacity: 1;
}

.header-wrapper .site-header .grandchildlink.menu-styling-hover {
    padding: 12px 15px !important;
    margin-bottom: 10px;
    font-family:  "BentonSans-Medium", sans-serif;
}

.shopify-section-group-header-group .mobile-nav__link.menu-styling-hover {
    padding: 12px 15px !important;
}

.site-header .site-nav__dropdown-link:not(.menu-styling-hover):hover .site-nav__dropdown-text:after {
    opacity: 1;
}

.site-nav__link {
    cursor: pointer;
}

.site-header .site-nav__dropdown-link:hover {
    padding: 12px 15px;
}

.megamenu__content-heading, .site-header .site-nav__dropdown-link.site-nav__dropdown-link--top-level {
    text-align: left;
    font-family: "Benton Sans Comp Bd", sans-serif;
    font-size: 24px;
    letter-spacing: 2%;
    text-transform: uppercase;
}

.megamenu__content-heading, .site-header .site-nav__dropdown-link.site-nav__dropdown-link--top-level:hover {
    cursor: default
}

.support-megamenu-grid .megamenu__content-text p strong {
    font-family: "Benton Sans Reg", sans-serif;
    font-weight: 700;
}

.support-megamenu-grid .megamenu__content-text p {
    border-radius: 10px;
    border: 1px solid #00358E;
    padding: 15px;
    text-align: left;
    font-family: "Benton Sans Reg", sans-serif;
}

.megamenu__col-title {
    font-family: "Benton Sans Reg", sans-serif
}

.megamenu__cols {
    flex: 1;
    max-width: 40%;
}

.site-nav__link {
    text-decoration: none;
}

.megamenu__col {
    padding-left: 5px;
    padding-right: 5px;
    max-width: 284px;
}

.megamenu__support-links {
    flex: 1;
    max-width: 60%;
}

.support-megamenu-grid {
    display: flex;
    column-gap: 40px;
    flex-wrap: wrap;
    align-items: flex-start;
}

.support-content-column {
    width: 100%;
    max-width: 473px;
}

.support-links-wrapper {
    width: 100%;
    max-width: 190px;
    display: flex;
    flex-direction: column;
    gap: 14px;
    margin-top: 55px;
}

.support-link-box {
    display: flex;
    align-items: center;
    gap: 12px;
    text-decoration: none;
}

.support-link-box:hover .support-link-text {
    font-family:  "BentonSans-Medium", sans-serif;
}

.support-link-icon {
    flex: 0 0 16px;
}

.support-link-image {
    width: 16px;
    height: 16px;
    object-fit: contain;
    display: block;
}

.support-link-text {
    font-family: "Benton Sans Reg", sans-serif;
    font-size: 18px;
    line-height: 125%;
    letter-spacing: 0%;
    white-space: nowrap;
    transition: all 0.3s ease;
}

.megamenu__content-heading {
    margin-bottom: 10px;
}

.megamenu__content-text {
    line-height: 1.6;
}

.header-wrapper .site-header .grandchildlink {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 20px;
    width: 100%;
    padding: 5px 15px !important;
    border-radius: 12px;
    overflow: hidden;
    text-decoration: none;
    z-index: 1;
    transition: all .3s ease;
}

.site-header .grandchildlink.menu-styling-hover::before,
.shopify-section-group-header-group .mobile-nav__link.menu-styling-hover::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 0%;
    height: 100%;
    background: linear-gradient(
        90.58deg,
        #FFD7EA 26.02%,
        #FF96C8 87.31%
    );
    transition: width .4s ease;
    z-index: -1;
    border-radius: 10px;
}

.site-header .grandchildlink.menu-styling-hover::before,
.shopify-section-group-header-group .mobile-nav__link.menu-styling-hover::before {
    width: 100%;
}

.site-nav__icons {
    display: flex;
    align-items: center;
}

.site-header .grandchildlink, .support-link-text {
    display: inline-block;
    position: relative;

}

.site-header .grandchildlink, .support-link-text {
    transition: color .2s ease;
    font-family: 'Benton Sans Reg';
}


.menu-styling-hover .site-nav__dropdown-text {
    padding-bottom: unset;
}

.site-nav__dropdown-text {
    position: relative;
    z-index: 2;
    padding-bottom: 5px;
}

.site-nav__dropdown-arrow {
    position: relative;
    z-index: 2;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all .3s ease;
}

.mobile-nav__item .mobile-nav__has-sublist .collapsible-trigger .mobile-nav__toggle {
    width: 30px;
    height: 30px;
    background-color: #E8E2D8;
    padding: unset;
    border-radius: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    top: unset;
    right: unset;
}

.mobile-nav__item .mobile-nav__has-sublist .collapsible-trigger.is-open .mobile-nav__toggle {
    background-color: #00358E;
}

.mobile-nav__item .mobile-nav__has-sublist .collapsible-trigger .mobile-nav__toggle .collapsible-trigger__icon svg path {
    fill: #000000;
    stroke: #000000;
}

.mobile-nav__item .mobile-nav__has-sublist .collapsible-trigger.is-open .mobile-nav__toggle .collapsible-trigger__icon svg path {
    fill: #fff;
    stroke: #fff;
}

.mobile-nav__has-sublist .mobile-nav__link--button.is-open .collapsible-trigger__icon svg {
    color: #fff;
}

.mobile-nav__has-sublist .collapsible-trigger__icon svg {
    color: #000000;
}

.mobile-nav__item .mobile-nav__has-sublist .collapsible-trigger .mobile-nav__toggle .collapsible-trigger__icon {
    transform: rotate(-90deg);
}

.mobile-nav__item .mobile-nav__has-sublist .collapsible-trigger.is-open .mobile-nav__toggle .collapsible-trigger__icon {
    transform: rotate(180deg);
}

.collapsible-trigger__icon--circle {
    border: 1px solid #00358E
}

.mobile-nav__grandchildlist {
    padding-bottom: 35px;
}

.mobile-nav__has-sublist .collapsible-trigger__icon {
    display: flex;
    position: unset;
    top: unset;
    right: unset;
    width: unset;
    height: unset;
    fill: #00358E;
    transform: unset;
}

.mobile-nav__link--button-small .collapsible-trigger__icon {
    color: #00358E;
    fill: #00358E;
}

.shopify-section-group-header-group .drawer__scrollable {
    padding-left: 20px;
    padding-right: 20px;
}

.shopify-section-group-header-group .drawer {
    padding-right: 0;
}

.site-nav__dropdown.megamenu {
    border-top: 1px solid #E8E2D8;
}

.site-header .desktop-icon {
    display: none;
}

.site-header .mobile-icon {
    display: block
}

@media only screen and (min-width: 1050px) {
    .site-header .mobile-icon {
        display: none;
    }

    .site-header .desktop-icon {
        display: block;
    }

    .site-header {
        z-index: 99;
        padding: 0px 23px;
    }

    .site-header .site-nav__link {
        letter-spacing: 0.03em;
    }
}


/* Header Styles */

/* Menu Drawer Styles */
.js-drawer-open .main-content:after {
    background-color: transparent;
}

.drawer {
    top: var(--nav-drawer-offset);
    max-width: 100%;
}

.drawer.drawer--left {
    width: 100%;
}

.drawer .drawer__contents .drawer__fixed-header {
    display: none;
}

.drawer .mobile-nav__item .mobile-nav__link {
    font-family: 'Benton Sans Comp Bd';
    font-size: 28px;
    font-style: normal;
    line-height: 32px;
    letter-spacing: 0.56px;
    text-transform: uppercase;
    color: #00358e;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -webkit-justify-content: space-between;
    -ms-flex-pack: justify;
    justify-content: space-between;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    padding: 10px 0px 10px 0px;
}

.drawer .mobile-nav__sublist .mobile-nav__link {
    padding: 10px 20px;
}

.mobile-nav .mobile-nav__item .mobile-nav__faux-link {
    font-family: "Benton Sans Comp Bd";
    font-size: 22px;
    line-height: 120%;
    letter-spacing: 2%;
    text-transform: uppercase;

}

.mobile-nav__has-sublist .mobile-nav__link--button {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -webkit-justify-content: space-between;
    -ms-flex-pack: justify;
    justify-content: space-between;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;

}

.mobile-nav__has-sublist .mobile-nav__link--button .mobile-nav__faux-link {
    font-family: Benton Sans Comp Bd;
    font-size: 28px;
    font-style: normal;
    line-height: 32px;
    letter-spacing: .56px;
    text-transform: uppercase;
    color: #00358e;
    padding: 10px 20px 10px 0;
}

.drawer .mobile-nav__sublist .mobile-nav__grandchildlist .mobile-nav__link {
    padding: 8px 20px 8px 0px;
    font-family: "Benton Sans Reg", sans-serif;
    font-size: 20px;
    line-height: 1;
    letter-spacing: 0%;
    text-transform: capitalize;
}

.drawer .mobile-nav__sublist .mobile-nav__grandchildlist .mobile-nav__link:hover {
    text-decoration: underline;
    text-underline-offset: 4px;
    text-decoration-thickness: 1.5px;
}

.drawer .mobile-nav.mobile-nav--secondary {
    border-top: solid 1px #e8e2d8;
    padding-top: 1rem;
    margin-top: 1rem;
    -webkit-box-flex: 1;
    -webkit-flex: 1 1;
    -ms-flex: 1 1;
    flex: 1 1;
}

.drawer .mobile-nav.mobile-nav--secondary,
.drawer .mobile-nav.mobile-nav--policies {
    margin-top: 0;
}

.drawer .mobile-nav.mobile-nav--secondary .mobile-nav__item .mobile-nav__link,
.drawer .mobile-nav.mobile-nav--policies .mobile-nav__item .mobile-nav__link {
    color: #000;
    font-family: "Benton Sans Reg";
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: 26px;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    gap: 0.5rem;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    letter-spacing: 0;
    justify-content: flex-start;
    text-transform: none;
}

.drawer .mobile-nav.mobile-nav--policies .mobile-nav__item .mobile-nav__link {
    color: #707070;
    font-size: 12px;
    line-height: 18px;
}

/* Menu Drawer Styles */
